package wmi

import (
	"fmt"
	"net"
	"testing"

	csm "git.loafle.net/commons/service_matcher-go"
)

func TestWMI(t *testing.T) {

	lm := NewMatcher()

	//port := types.NewPort("135", types.NewHost("192.168.1.1"), types.TYPE_TCP)
	//scanInfo := scaninfo.NewServiceScanInfo(port)
	//var ipport string
	//ipport = port.Host.Ip + ":" + string(port.Port)

	//fmt.Println(ipport)
	client, _ := net.Dial("tcp", "192.168.1.106:135")

	defer client.Close()

	fmt.Println(lm.PacketCount())

	for ii := 0; ii < lm.PacketCount(); ii++ {

		pack := lm.Packet(ii)

		fmt.Println(pack)

		client.Write(pack.Buffer)

		bytes := make([]byte, 1024)

		read, _ := client.Read(bytes)

		//fmt.Println(bytes)

		b := lm.Match(nil, ii, csm.NewPacket(bytes, read))

		if b {
			fmt.Println("Good")
		}

	}

}
